Site Controller Create V 1

Authentication

x-api-keystring
API key authentication. Accepts either: - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ) - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

workspaceIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringRequired
The site name.
hostUrlstringOptionalformat: "uri"
The host URL of the site. The URL should consist of only the origin.
templateIdstringOptionalformat: "uuid"
The ID of the template to import.
localestringOptional
We support the subset of locales specified with ISO 3166 that are composed of language and optionally a region.
templateSiteIdstringOptionalformat: "uuid"Deprecated
The site ID of the template to import. Use templateId instead.

Response

idstringformat: "uuid"
namestring
The site name.
hostUrlstring or nullformat: "uri"
The host URL of the site. The URL should consist of only the origin.
apiKeystringformat: "uuid"